Unsupported major.minor version 52.0

java.lang.UnsupportedClassVersionError: PR/Sort : Unsupported major.minor version 52.0这个错误是由于高版本的java project使用了低版本的来运行。
我出现这个情况是我把Properties中java build path-->Libraries中的JVM8换成JVM7
之后运行就报错了
解决方法:
在Properties-->JAVA Compiler-中的Compiler compliance level从1.8改成1.7,之后就可以运行了。
 
      来源:http://blog.sina.com.cn/s/blog_64ecfc2f0102uxu6.html
原文地址:https://www.cnblogs.com/kongxc/p/6226454.html